"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rules_1 = require("./rules");
/**
 * Get forced case for rule
 * @param rule to parse
 * @return transform function applying the enforced case
 */
function getFullStopFn(rule) {
    const noop = (_) => _;
    if (!rule || !(0, rules_1.ruleIsActive)(rule)) {
        return noop;
    }
    if (typeof rule[2] !== 'string')
        return noop;
    const symbol = rule[2];
    if ((0, rules_1.ruleIsNotApplicable)(rule)) {
        return (input) => {
            while (input.length > 0 && input.endsWith(symbol)) {
                input = input.slice(0, input.length - 1);
            }
            return input;
        };
    }
    else {
        return (input) => {
            return !input.endsWith(symbol) ? input + symbol : input;
        };
    }
}
exports.default = getFullStopFn;
//# sourceMappingURL=full-stop-fn.js.map